summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rw-r--r--scripts/scan-pkgs.sh17
1 files changed, 15 insertions, 2 deletions
diff --git a/scripts/scan-pkgs.sh b/scripts/scan-pkgs.sh
index ad265d457..0107ee4bd 100644
--- a/scripts/scan-pkgs.sh
+++ b/scripts/scan-pkgs.sh
@@ -23,8 +23,14 @@ out=0
. $topdir/.config
-if [[ -n $ADK_TARGET_PACKAGE_RPM ]]; then
- NEED_RPM="$NEED_RPM rpm"
+if [[ -n $ADK_NATIVE ]];then
+ if [[ -n $ADK_PACKAGE_GIT ]];then
+ NEED_CURLDEV="$NEED_CURLDEV git"
+ NEED_SSLDEV="$NEED_SSLDEV git"
+ fi
+ if [[ -n $ADK_TARGET_PACKAGE_RPM ]]; then
+ NEED_RPM="$NEED_RPM rpm"
+ fi
fi
if [[ -n $ADK_PACKAGE_ALSA_UTILS ]]; then
@@ -64,6 +70,13 @@ if [[ -n $NEED_GETTEXT ]]; then
fi
fi
+if [[ -n $NEED_CURLDEV ]];then
+ if ! test -f /usr/include/curl/curl.h >/dev/null; then
+ echo >&2 You need curl headers to build $NEED_CURLDEV
+ out=1
+ fi
+fi
+
if [[ -n $NEED_SSLDEV ]]; then
if ! test -f /usr/lib/pkgconfig/openssl.pc >/dev/null; then
if ! test -f /usr/include/openssl/ssl.h >/dev/null; then